using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainPage()

        /// <summary>
        /// 
        /// </summary>
        public MainPage()
        {
            InitializeComponent();

            this.passwordBox.PasswordChanged += passwordBox_PasswordChanged;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region н ڽ н  óϱ - passwordBox_PasswordChanged(sender, e)

        /// <summary>
        /// н ڽ н  óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void passwordBox_PasswordChanged(object sender, RoutedEventArgs e)
        {
            if(sender is PasswordBox passwordBox)
            {
                if(string.IsNullOrEmpty(passwordBox.Password))
                {
                    this.outputTextBlock.Visibility = Visibility.Visible;
                    this.outputTextBlock.Text       = "Please input password.";

                    this.passwordBox.Password = string.Empty;
                }
                else
                {
                    this.outputTextBlock.Visibility = Visibility.Collapsed;
                    this.outputTextBlock.Text       = string.Empty;
                }
            }
        }

        #endregion
    }
}